| Home | Libraries | People | FAQ | More

## Function new_delete_resource

boost::container::pmr::new_delete_resource

## Synopsis

    // In header: <boost/container/pmr/global_resource.hpp>

    memory_resource * new_delete_resource();

## Description

Returns: A pointer to a static-duration object of a type derived from `memory_resource` that can serve as a resource for allocating memory using global `operator new` and global `operator delete`. The same value is returned every time this function is called. For return value p and memory resource r, p->is_equal(r) returns &r == p.